<?xml version="1.0" encoding="utf-8"?>
<!--
 This file is part of Adblock Plus <https://adblockplus.org/>,
 Copyright (C) 2006-present eyeo GmbH

 Adblock Plus is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.

 Adblock Plus is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Adblock Plus.  If not, see <http://www.gnu.org/licenses/>.
  -->

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="org.adblockplus.adblockplussbrowser.preferences.ui.othersubscriptions.OtherSubscriptionsItem.CustomItem" />

        <variable
            name="viewModel"
            type="org.adblockplus.adblockplussbrowser.preferences.ui.othersubscriptions.OtherSubscriptionsViewModel" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        groupItemBackground="@{item.layout}"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <View
            style="@style/PreferenceContainerStyle"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/other_subscriptions_custom_item_title"
            style="@style/PreferenceTitleTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:maxLines="2"
            android:singleLine="false"
            android:text="@{item.subscription.title}"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toTopOf="@id/other_subscriptions_custom_item_guideline_bottom"
            app:layout_constraintHorizontal_bias="0.0"
            app:layout_constraintStart_toStartOf="@id/other_subscriptions_custom_item_guideline_start"
            app:layout_constraintTop_toTopOf="@id/other_subscriptions_custom_item_guideline_top"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintVertical_bias="0.0"
            tools:text="My Custom Filter" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/other_subscriptions_custom_item_summary"
            style="@style/CustomPreferenceSummaryTextStyle"
            lastUpdate="@{item.subscription.lastUpdate}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="start"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toTopOf="@id/other_subscriptions_custom_item_guideline_bottom"
            app:layout_constraintHorizontal_bias="0.0"
            app:layout_constraintStart_toStartOf="@id/other_subscriptions_custom_item_guideline_start"
            app:layout_constraintTop_toBottomOf="@id/other_subscriptions_custom_item_title"
            app:layout_constraintVertical_bias="0.0"
            tools:text="Last update: May 14, 08:15" />

        <View
            android:id="@+id/other_subscriptions_custom_item_divider"
            style="@style/PreferenceDivider"
            groupItemDividerVisibility="@{item.layout}"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/other_subscriptions_custom_item_guideline_start"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_begin="16dp" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/other_subscriptions_custom_item_guideline_end"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_end="16dp" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/other_subscriptions_custom_item_guideline_top"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintGuide_begin="16dp" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/other_subscriptions_custom_item_guideline_bottom"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintGuide_end="16dp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>